[Previous] [Next] [Contents]

## `Dom::SparseMatrix_LinBox` -- Interface to the sparse matrix C++ library LinBox

#### Introduction

`Dom::SparseMatrix_LinBox``(R)` creates a domain for sparse matrices over the ring R, with computations done by [>>]linbox.

#### Domain

`Dom::SparseMatrix_LinBox(R)`

#### Parameters

`R` | - | a ring

#### Details

- Experimental. This requires the linbox package to be installed with a special binary.

#### Introduction

#### Creating Elements

``Dom::SparseMatrix_LinBox`(n)(l)`

#### Parameters

`l` | - |

#### Categories

`...`

#### Entries

linbox

the name of the LinBox executable.

#### Method matdim: size of a matrix

- `matdim(dom)`

- Returns the size of the matrix as a list of two integers `[nrows, ncols]`.

#### Method rank: rank of a matrix

- `rank(dom m)`

- Returns the rank of the matrix. Computed by LinBox using blackbox method.

#### Method rankGauss: rank of a matrix

- `rankGauss(dom m)`

- Returns the rank of the matrix. Computed by LinBox using gauss elimination.

#### Method characteristicColumns: characteristic columns of a matrix

- `characteristicColumns(dom m)`

- Returns a list of indexes of columns of the matrix which are linearly independent. Computed by LinBox using elimination.

#### Changes

- `Dom::SparseMatrix_LinBox` is a new function

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package